using System.Collections;
using UnityEngine;

public class Cameras : MonoBehaviour
{
	[SerializeField]
	Transform[] dummies;

	[SerializeField]
	Transform cameraTransform;

	IEnumerator Start()
	{
		while(true)
		{
			yield return new WaitForSeconds(Random.Range(1f, 2f));

			var dummy = dummies[Random.Range(0, dummies.Length)];

			Debug.Log(dummy);

			cameraTransform.position = dummy.position;
			cameraTransform.rotation = dummy.rotation;
		}
	}
}